* { box-sizing: border-box; }
body { margin: 0; font-family: arial; font-size: 14px; }
a { text-decoration: none; color: #05c; font-weight: bold; }
a:hover { color: red; }

input[type=text],
input[type=password] { height: 30px; font: normal 12px arial; padding: 0 10px; background: #fff; border: 1px solid #ccc; border-radius: 3px; }
input[type=text]:focus,
input[type=password]:focus { outline: none; background: #ffe; }
input:disabled { background: #fee;}

button { height: 30px; border: 1px solid #ccc; background: linear-gradient(#fff 0, #fff 50%, #eee 51%, #fff 100%); font: bold 11px arial; border-radius: 3px; padding: 0 10px; }
button:hover {
    background: linear-gradient(#0f0 0%, #0f0 50%, #080 51%, #0f0 100%);
    border-color: #080;
    color: #fff;
    cursor: pointer;
}
